

//simple Tx on pin D13
//Written By : Mohannad Rawashdeh
// 3:00pm , 13/6/2013
//http://www.genotronex.com/
//..................................
#include <VirtualWire.h>
#include <Stepper.h>

//Pins from arduino to LM293D
int in1Pin = 12;
int in2Pin = 11;
int in3Pin = 10;
int in4Pin = 9;

Stepper motor(512,in1Pin, in2Pin, in3Pin, in4Pin);

char *pairingcode;
void setup()
{
    //Serial setup
    Serial.begin(9600);
    
    //Transmitter setup
    vw_set_ptt_inverted(true); // Required for DR3100
    vw_set_rx_pin(8);
    vw_setup(4000);  // Bits per sec
    pinMode(13, OUTPUT);
    vw_rx_start();       // Start the receiver PLL running
    
    //Stepper motor setup 
    pinMode(in1Pin, OUTPUT);
    pinMode(in2Pin, OUTPUT);
    pinMode(in3Pin, OUTPUT);
    pinMode(in4Pin, OUTPUT);
    motor.setSpeed(20);
}


    void loop()
{
  int check = 0;
  int i=0;
  
  pairingcode="1010000";
    uint8_t buf[VW_MAX_MESSAGE_LEN];
    uint8_t buflen = VW_MAX_MESSAGE_LEN;

    if (vw_get_message(buf, &buflen)) // Non-blocking read
    {
      //Checking pairing code
      for(i=0;i<7;i++)
      {
        Serial.println(buf[i]);
        if(buf[i]==pairingcode[i])
        {
          check++;
          
          }
        
       }
       
      // If pairing code matches, check button
      if(check==7) 
      {
        if(buf[7]=='1' && digitalRead(13)==LOW) // bull stop pressed
        {
          Serial.println("Bull Stop");
          digitalWrite(13,1);
          motor.step(200);//Pull string
          
          }
      
        else if (buf[7]=='0' && digitalRead(13)==HIGH) // bull release pressed
        {
          Serial.println("Bull Release");
          digitalWrite(13,0);
          motor.step(-200);//Release string
        }
        }

    }
    else
    {
      
      Serial.println("No read");
      }
}
